commit 41d3c02ab4269cde9b3f08de0971ea6a6177e446
Author: freddy77 <freddy77>
Date:   Fri Jul 11 09:29:17 2008 +0000

    test improvements

diff --git a/ChangeLog b/ChangeLog
index c6ab05f..269213e 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,4 +1,9 @@
 Fri Jul 11 11:25:28 CET 2008    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* src/odbc/unittests/data.c src/odbc/unittests/genparams.c:
+	- make some tests run even on mssql2005
+	- add initial test for NVARCHAR
+
+Fri Jul 11 11:25:28 CET 2008    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* src/tds/login.c: cleanup
 
 Wed Jul  9 05:34:20 EDT 2008	JK Lowden <jklowden@freetds.org>
@@ -419,4 +424,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog  truncated because of release
 	* ChangeLog-0.82 added because of release
 	
-$Id: ChangeLog,v 1.2552 2008/07/11 09:25:56 freddy77 Exp $
+$Id: ChangeLog,v 1.2553 2008/07/11 09:29:17 freddy77 Exp $
diff --git a/src/odbc/unittests/data.c b/src/odbc/unittests/data.c
index 640510e..12e96bb 100644
--- a/src/odbc/unittests/data.c
+++ b/src/odbc/unittests/data.c
@@ -3,7 +3,7 @@
 
 /* Test various bind type */
 
-static char software_version[] = "$Id: data.c,v 1.14 2008/01/29 14:30:48 freddy77 Exp $";
+static char software_version[] = "$Id: data.c,v 1.15 2008/07/11 09:29:18 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 static int result = 0;
@@ -102,7 +102,7 @@ main(int argc, char *argv[])
 	Test("TINYINT", "231", SQL_C_BINARY, "E7");
 	Test("SMALLINT", "4321", SQL_C_BINARY, big_endian ? "10E1" : "E110");
 	Test("INT", "1234567", SQL_C_BINARY, big_endian ? "0012D687" : "87D61200");
-	if ((db_is_microsoft() && strncmp(version, "08.00.", 6) == 0)
+	if ((db_is_microsoft() && (strncmp(version, "08.00.", 6) == 0 || strncmp(version, "09.00.", 6) == 0))
 	    || (!db_is_microsoft() && strncmp(version, "15.00.", 6) >= 0)) {
 		int old_result = result;
 
diff --git a/src/odbc/unittests/genparams.c b/src/odbc/unittests/genparams.c
index 96f153b..34fbfcb 100644
--- a/src/odbc/unittests/genparams.c
+++ b/src/odbc/unittests/genparams.c
@@ -4,7 +4,7 @@
 
 /* Test various type from odbc and to odbc */
 
-static char software_version[] = "$Id: genparams.c,v 1.25 2008/01/31 09:13:08 freddy77 Exp $";
+static char software_version[] = "$Id: genparams.c,v 1.26 2008/07/11 09:29:18 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 #ifdef TDS_NO_DM
@@ -133,7 +133,6 @@ TestInput(SQLSMALLINT out_c_type, const char *type, SQLSMALLINT out_sql_type, co
 	if (exec_direct) {
 		SQLRETURN rc;
 
-		out_len = 1;
 		CHK(SQLBindParameter, (Statement, 1, SQL_PARAM_INPUT, out_c_type, out_sql_type, 20, 0, out_buf, sizeof(out_buf), &out_len));
 
 		rc = SQLExecDirect(Statement, (SQLCHAR *) sbuf, SQL_NTS);
@@ -145,7 +144,6 @@ TestInput(SQLSMALLINT out_c_type, const char *type, SQLSMALLINT out_sql_type, co
 		if (prepare_before)
 			CHK(SQLPrepare, (Statement, (SQLCHAR *) sbuf, SQL_NTS));
 
-		out_len = 1;
 		CHK(SQLBindParameter, (Statement, 1, SQL_PARAM_INPUT, out_c_type, out_sql_type, 20, 0, out_buf, sizeof(out_buf), &out_len));
 
 		if (!prepare_before)
@@ -256,9 +254,10 @@ AllTests(void)
 	TestInput(SQL_C_DOUBLE, "MONEY", SQL_DOUBLE, "MONEY", "123.34");
 
 	/* TODO some Sybase versions */
-	if (db_is_microsoft() && strncmp(version, "08.00.", 6) == 0) {
+	if (db_is_microsoft() && (strncmp(version, "08.00.", 6) == 0 || strncmp(version, "09.00.", 6) == 0)) {
 		Test("BIGINT", "-987654321065432", SQL_C_BINARY, SQL_BIGINT, big_endian ? "FFFC7DBBCF083228" : "283208CFBB7DFCFF");
 		TestInput(SQL_C_SBIGINT, "BIGINT", SQL_BIGINT, "BIGINT", "-12345678901234");
+		TestInput(SQL_C_CHAR, "NVARCHAR(100)", SQL_WCHAR, "NVARCHAR(100)", "test");
 	}
 }
 

